image: node
stages:
    - build
    - test

install_dependencies:
    stage: build
    script: 
        - yarn install
    artifacts:
        paths:
             - node_modules
    cache:
        key:
            files:
                - yarn.lock
        paths:
            - node_modules
run_tests:
    stage: test
    script:
         - CI=true yarn test
eslint:
    stage: test
    script:
        - yarn run eslint src/**.js 

